VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "ParseTags"
   ClientHeight    =   5550
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6630
   LinkTopic       =   "Form1"
   ScaleHeight     =   5550
   ScaleWidth      =   6630
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtResult 
      Height          =   2295
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   4
      Top             =   3240
      Width           =   6615
   End
   Begin VB.CommandButton cmdParse 
      Caption         =   "Parse"
      Height          =   375
      Left            =   2760
      TabIndex        =   2
      Top             =   2640
      Width           =   735
   End
   Begin VB.TextBox txtInput 
      Height          =   2295
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Text            =   "Form1.frx":0000
      Top             =   240
      Width           =   6615
   End
   Begin VB.Label Label2 
      Caption         =   "Output"
      Height          =   255
      Left            =   0
      TabIndex        =   3
      Top             =   3000
      Width           =   495
   End
   Begin VB.Label Label1 
      Caption         =   "Input"
      Height          =   255
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private WithEvents m_TagParser As TagParser
Attribute m_TagParser.VB_VarHelpID = -1

Private Sub cmdParse_Click()
    txtResult.Text = ""
    Screen.MousePointer = vbHourglass
    DoEvents

    ' Parse the input.
    m_TagParser.ParseTags txtInput.Text

    Screen.MousePointer = vbDefault
End Sub

Private Sub Form_Load()
    Set m_TagParser = New TagParser
End Sub


Private Sub m_TagParser_InteriorTag(ByVal tag_name As String, ByVal tag_contents As String, ByVal depth As Integer)
    txtResult.Text = txtResult.Text & _
        Space$(depth * 4) & _
        tag_name & ":" & vbCrLf
End Sub

Private Sub m_TagParser_LeafTag(ByVal tag_name As String, ByVal tag_contents As String, ByVal depth As Integer)
    txtResult.Text = txtResult.Text & _
        Space$(depth * 4) & _
        tag_name & ":" & vbTab & tag_contents & vbCrLf
End Sub

Private Sub m_TagParser_ParseError(ByVal message As String)
    MsgBox "Error parsing data. " & message, _
        vbExclamation Or vbOKOnly, "Parse Error"
End Sub


